nbd_is_uri(3)

NAME
nbd_is_uri - detect if a string could be an NBD URI

SYNOPSIS
 #include <libnbd.h>

 int nbd_is_uri (
       struct nbd_handle *h, const char *uri
     );

DESCRIPTION
Detect if the parameter "uri" could be an NBD URI or not. The function returns true if "uri" is likely to be an NBD URI, or false if not.

This can be used to write programs that take either a URI or something else like a filename as a parameter. nbdcopy(1) is one such program.

The current test is heuristic. In particular it does not guarantee that nbd_connect_uri(3) will work.

RETURN VALUE
This call returns a boolean value.

ERRORS
On error -1 is returned.

Refer to "ERROR HANDLING" in libnbd(3) for how to get further details of the error.

The following parameters must not be NULL: "h", "uri". For more information see "Non-NULL parameters" in libnbd(3).

VERSION
This function first appeared in libnbd 1.22.

If you need to test if this function is available at compile time check if the following macro is defined:

 #define LIBNBD_HAVE_NBD_IS_URI 1

SEE ALSO
nbd_aio_connect_uri(3), nbd_connect_uri(3), nbd_create(3), nbd_get_uri(3), nbd_supports_uri(3), libnbd(3), nbdcopy(1).

AUTHORS
Eric Blake

Richard W.M. Jones

COPYRIGHT
Copyright Red Hat

LICENSE
This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA